<?php
/** Incluir la libreria PHPExcel */
require('../librerias/PHPExcel/Classes/PHPExcel.php');
$objPHPExcel = new PHPExcel();
 
// Establecer propiedades
$objPHPExcel->
getProperties()
->setCreator("POWERTIME")
->setLastModifiedBy("POWERTIME")
->setTitle("REPORTE POWERTIME")
->setSubject("REPORTE POWERTIME")
->setDescription("REPORTE POWERTIME")
->setKeywords("REPORTE POWERTIME")
->setCategory("REPORTE");



// Agregar Informacion
$objPHPExcel->setActiveSheetIndex(0)
->setCellValue('A1', 'FECHA INICIO')
->setCellValue('B1', 'FECHA TERMINO')
->setCellValue('C1', 'DIAS')
->setCellValue('D1', 'TIPO DE PERMISO')
->setCellValue('E1', 'TRABAJADOR')
->setCellValue('F1', 'SUCURSAL')
->setCellValue('G1', 'DEPARTAMENTO')
->setCellValue('H1', 'OBSERVACION'); 
// Empezamos agregar datos desde la 3er fila
$fila = 2;


$ch4 = curl_init('http://200.24.13.60/~program1/power-time-api/public/listarpermisosucursaldepartamento'); //create a new cURL resource
$payload4 = json_encode(array(
'id_departamento' => $_POST["txtDepartamento"],
'id_sucursal' => $_POST["txtSucursal"],
'fecha_inicio' => $_POST["txtFecha_inicio"],
'fecha_termino' => $_POST["txtFecha_termino"]
));
curl_setopt($ch4, CURLOPT_POSTFIELDS, $payload4);//attach encoded JSON string to the POST fields
curl_setopt($ch4, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
curl_setopt($ch4, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
$result4 = curl_exec($ch4); //execute the POST request
$array4 = json_decode($result4);
			
foreach ($array4[0] as $row) {
	
		$objPHPExcel->setActiveSheetIndex(0)
		->setCellValue('A'. $fila, $row->fecha_inicio)
		->setCellValue('B'. $fila, $row->fecha_termino)
		->setCellValue('C'. $fila, $row->total)
		->setCellValue('D'. $fila, $row->tipo)
		->setCellValue('E'. $fila, UTF8_DECODE($row->nombre) ." ". UTF8_DECODE($row->apellido))
		->setCellValue('F'. $fila, UTF8_DECODE($row->sucursal))
		->setCellValue('G'. $fila, UTF8_DECODE($row->departamento))		
		->setCellValue('H'. $fila, UTF8_DECODE($row->observacion));	 
		$fila++;		
}
 		 

curl_close($ch4); 	

PHPExcel_Shared_Font::setAutoSizeMethod(PHPExcel_Shared_Font::AUTOSIZE_METHOD_EXACT);
foreach(range('A','H') as $columnID) {
    $objPHPExcel->getActiveSheet()->getColumnDimension($columnID)
        ->setAutoSize(true);
}

$fecha = date("Y-m-d-H:i:s");
// Renombrar Hoja
$objPHPExcel->getActiveSheet()->setTitle('Listado General');
// Establecer la hoja activa, para que cuando se abra el documento se muestre primero.
$objPHPExcel->setActiveSheetIndex(0);
 
// Se modifican los encabezados del HTTP para indicar que se envia un archivo de Excel.
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="reporte'.$fecha.'.xlsx"');
header('Cache-Control: max-age=0');
 
$objWriter=PHPExcel_IOFactory::createWriter($objPHPExcel,'Excel2007');
//$objWriter=PHPExcel_IOFactory::createWriter($objPHPExcel,'Excel5');
$objWriter->save('php://output');
exit;
?>
